TIBCO Spotfire System Requirements - 7.0.x

To view the System requirements for a different version, please select it in the list below:




System requirement changes from the previous version (6.5.x)

TIBCO Spotfire Client/Professional/Enterprise Player/Analyst
Category Requirement
Operating System Dropped Support for
  • Microsoft Windows Vista
  • 32-bit Operating Systems
Web Browser Dropped Support for
  • Microsoft Internet Explorer 8, 9
Connectors (Optional) The supported (Data) Connectors have been updated. Please refer to the TIBCO Spotfire Connectors System Requirements page for more information.

TIBCO Spotfire Web Player - Client/Consumer/Business Author
Category Requirement
Operating System Dropped Support for
  • Microsoft Windows Vista
Web Browser Windows:

Dropped Support for
  • Microsoft Internet Explorer 8,9
Increased Minimum Supported versions
  • Mozilla Firefox 27 or higher
  • Google Chrome 33 or higher

Mac OS X 10.x (10.6 or higher):

Increased Minimum Supported versions
  • Mozilla Firefox 27 or higher
  • Google Chrome 33 or higher
  • Safari 6.2 or higher

TIBCO Spotfire Web Player - Server
Category Requirement
Operating System Dropped Support for
  • Microsoft Windows Server 2008
Microsoft .NET Framework Increased Minimum Supported version
  • Microsoft .NET Framework 4.5.2
Web Browser Dropped Support for (and clarified previously existing system requirement)
  • Microsoft Internet Explorer 8, 9
Connectors (Optional) The supported (Data) Connectors have been updated. Please refer to the TIBCO Spotfire Connectors System Requirements page for more information.
VMWare (Optional) Support for VMWare will no longer be explicitly stated in the requirements. Unless otherwise stated, all TIBCO Spotfire products are supported on VMWare.

TIBCO Spotfire Automation Services
Category Requirement
Operating System Dropped Support for
  • Microsoft Windows Server 2008
Data Connectors (Optional) The supported Data Connectors have been updated. Please refer to the TIBCO Spotfire Data Connectors System Requirements page for more information.


TIBCO Spotfire Developer (SDK)
Category Requirement
Operating System Dropped Support for
  • Microsoft Windows Vista

Planned system requirement changes for the next version

Listed below are the currently known planned system requirement changes for the next version. This information is provided for informational purposes only and is subject to change without notice.

  • There are no currently known system requirements changes

System requirements for version 7.0.x

TIBCO Spotfire 7.0.x - Client/Professional/Enterprise Player/Analyst

TIBCO Spotfire 7.0.x - Desktop

TIBCO Spotfire 7.0.x - Web Player - Client/Consumer/Business Author
TIBCO Spotfire 7.0.x - Web Player - Server

TIBCO Spotfire 7.0.x - Automation Services
TIBCO Spotfire 7.0.x - Automation Services - Job Builder

TIBCO Spotfire 7.0.x - Developer (SDK)


TIBCO Spotfire 7.0.x - Client/Professional/Enterprise Player/Analyst
Category Requirement
Hardware
Processor Recommended: 2+ GHz, Quad-Core or more, 64-bit
Minimum: 2 GHz, Multi-Core, 64-bit
RAM Recommended: 8 GB or greater
Minimum: 4 GB

Large datasets can require more RAM.
Hard disk space 1 GB of free space to complete installation.
~350 MB for base software to execute.
Display Recommended: 1366*768 pixel resolution or higher, 16 or 32-bit color depth. Minimum: 1024x768 pixel resolution, 16 or 32-bit color depth.

For functionality that require hardware acceleration (such as the 3D plot), DirectX 9 or higher and a compatible graphics card is required.
Software
Operating System Microsoft Windows 8, 8.1
Microsoft Windows 7

NOTE: 64-bit versions required.
TIBCO Spotfire Software Connection to a TIBCO Spotfire Server 7.0.x, with a TIBCO Spotfire 7.0.x deployment, for software deployment and licensing.
TIBCO Spotfire (for Upgrades) Existing TIBCO Spotfire (Client) installations of version 3.3.x or higher can be upgraded to version 7.0.x by connecting to a TIBCO Spotfire Server 7.0.x, with a TIBCO Spotfire 7.0.x deployment
Installation Permissions Administrator rights are not required to install TIBCO Spotfire
Web Browser Microsoft Internet Explorer 10, 11
Microsoft .NET Framework TIBCO Spotfire supports Microsoft .NET Framework version 4.5 and requires that Microsoft .NET Framework be installed prior to installing TIBCO Spotfire.

If Microsoft .NET Framework 4.5 isn't installed when running the TIBCO Spotfire Client 7.0.x installer, the installer can (if the users accepts this when prompted) download and install it. No such option is available when upgrading older, existing TIBCO Spotfire installations by connecting to a TIBCO Spotfire Server with a TIBCO Spotfire 7.0.x deployment though - in this case, Microsoft .NET Framework 4.5 must be installed before upgrading.

NOTE: Microsoft .NET Framework 4.5.2 (or higher) is strongly recommended, as defects in older .NET Framework 4.5.x versions have been confirmed to cause stability issues.

NOTE: Microsoft .NET Framework 4.5 works side by side with older Framework (3.5 and earlier) versions, but performs an in-place update for .NET Framework 4.

NOTE: Microsoft .NET Framework requires Administrator rights to complete installation.

Click here to download Microsoft .NET Framework 4.5.2
Microsoft Office (Optional) Microsoft Office 2013, 32- and 64-bit versions
Microsoft Office 2010, 32- and 64-bit versions
Microsoft Office 2007


NOTE: Microsoft Office needs to be installed in order to use Spotfire functionality that integrates with Office products (such as importing data from Excel or Access, or exporting to Powerpoint)

NOTE: It is possible to import data from Microsoft Access databases into TIBCO Spotfire. For 64-bit Operating Systems, please note that Microsoft didn't introduce 64-bit drivers until Microsoft Office 2010.
Connectors (Optional) The following are the supported (Data) Connectors:

TIBCO Spotfire Connector for Amazon Redshift 4.0
TIBCO Spotfire Connector for Cloudera Hive 4.0
TIBCO Spotfire Connector for Cloudera Impala 4.0
TIBCO Spotfire Connector for Composite Information Server 4.0
TIBCO Spotfire Connector for Hortonworks 4.0
TIBCO Spotfire Connector for HP Vertica 4.0
TIBCO Spotfire Connector for IBM DB2 4.0
TIBCO Spotfire Connector for IBM Netezza 4.0
TIBCO Spotfire Connector for Microsoft SQL Server 4.0
TIBCO Spotfire Connector for Microsoft SQL Server Analysis Services 4.0
TIBCO Spotfire Connector for OData 4.0
TIBCO Spotfire Connector for Oracle 4.0
TIBCO Spotfire Connector for Oracle Essbase 4.0
TIBCO Spotfire Connector for Oracle MySQL 4.0
TIBCO Spotfire Connector for Pivotal Greenplum 4.0
TIBCO Spotfire Connector for Pivotal HAWQ 4.0
TIBCO Spotfire Connector for PostgreSQL 4.0
TIBCO Spotfire Connector for SAP HANA 4.0
TIBCO Spotfire Connector for SAP NetWeaver Business Warehouse 4.0
TIBCO Spotfire Connector for Teradata 4.0
TIBCO Spotfire Connector for Teradata Aster 4.0

Connector System requirements can be found here.
Importing SAS data files (Optional) SAS Providers for OLE DB 9.22 or higher

It is possible to import SAS data files (*.sas7bdat, *.sd2, *.sd7) into TIBCO Spotfire directly. The requirement for this functionality is that the SAS Providers for OLE DB 9.22 or higher must first be installed on the client machine.

Click here to download SAS Providers for OLE DB (free registration on SAS website required).


NOTE: SAS Providers for OLE DB are not supported for use in Spotfire Web Player (the SAS driver is not thread-safe, which can cause general platform instabilities).
Citrix (Optional) It is supported to deploy TIBCO Spotfire on:

Server:
Citrix XenApp 6.5
Citrix XenApp 6.0
Citrix XenApp 5.0

Operating System:
Windows Server 2008 R2

NOTE: The 3D Scatter Plot is not supported in a Citrix environment since the plot requires hardware acceleration.
Remote Desktop Services (Optional) It's supported to run TIBCO Spotfire via Windows Server Remote Desktop Services on the following Operating System(s):

Windows Server 2012 R2
Windows Server 2012
Windows Server 2008 R2
TIBCO Tibbr (Optional) TIBCO Tibbr 4 or higher

TIBCO Spotfire 7.0.x - Desktop
Category Requirement
TIBCO Spotfire Software With TIBCO Spotfire Desktop, you get access to a variant of TIBCO Spotfire Analyst that doesn't require a connection to a TIBCO Spotfire Server. The system requirements for TIBCO Spotfire Analyst are linked below.

As TIBCO Spotfire Desktop does not connect to a TIBCO Spotfire Server, none of the TIBCO Spotfire Analyst system requirements involving TIBCO Spotfire Server are applicable to Spotfire Desktop.

TIBCO Spotfire Analyst System requirements

TIBCO Spotfire 7.0.x - Web Player - Client/Consumer/Business Author
Category Requirement
Hardware
Processor Minimum: 1 GHz, 32 or 64-bit
RAM Recommended: 1 GB or greater
Minimum: 1 GB
Display 1024x768 pixel resolution or higher, 16 bit high colors or greater

NOTE: For Android, the only supported resolution is 1280x800.
Software
Operating System Microsoft Windows 8, 8.1
Microsoft Windows 7

Mac OS X 10.x (10.6 or higher)
iOS 6 or higher *

Android 4.0 (Ice Cream Sandwich) or later


NOTE *: Using iPhone, support is limited to consumption of specially prepared analyses. For more information on this, please refer to Designing TIBCO Spotfire® Analytics for Small-Screen Display.

NOTE *: Please note the following limitation(s) when using iOS:
  • There is no support for using Kerberos authentication
NOTE *: System Requirements for TIBCO Spotfire for Apple iPad ("Spotfire App") can be found here

Web Browser Windows:
    Microsoft Internet Explorer 10, 11
    Mozilla Firefox 27 or higher
    Google Chrome 33 or higher

Mac OS X 10.x (10.6 or higher):
    Mozilla Firefox 27 or higher
    Safari 6.2 or higher
    Google Chrome 33 or higher

iOS 6 or higher **
    Safari

Android 4.0 (Ice Cream Sandwich) or higher
    Google Chrome Browser


The following requirements are valid for all web browsers:

  • JavaScript must be enabled
  • Session cookies must be allowed

NOTE **: Using iPhone, support is limited to consumption of specially prepared analyses. For more information on this, please refer to Designing TIBCO Spotfire® Analytics for Small-Screen Display.

TIBCO Spotfire 7.0.x - Web Player - Server
Category Requirement
Hardware
Processor Recommended: 2+ GHz, Multi-Core (6 physical cores or more), 64-bit
Minimum: 2 GHz, Multi-Core, 64-bit

NOTE: If you intend to run TIBCO Spotfire Web Player on NUMA Servers, please refer to the document Running TIBCO Spotfire Web Player on NUMA Servers.
RAM Minimum: 6 GB

The minimum amount of RAM is only suitable for basic test systems, or systems with very few simultaneous users. Production servers with large analyses and/or many simultaneous users will require significantly more RAM. Contact TIBCO for further assistance with this.
Hard Disk space 10 GB is recommended for installation and normal use.
Software
Operating System Microsoft Windows Server 2012 R2
Microsoft Windows Server 2012
Microsoft Windows Server 2008 R2

NOTE: 64-bit versions required.
Microsoft .NET Framework TIBCO Spotfire supports Microsoft .NET Framework version 4.5.x (4.5.2 and higher) and requires that Microsoft .NET Framework be installed prior to installing TIBCO Spotfire.

NOTE: On Microsoft Windows Server 2012 (all variants), Microsoft .NET Framework version 3.5 needs to be enabled as well.

NOTE: Microsoft .NET Framework 4.5.x works side by side with older Framework (3.5 and earlier) versions, but performs an in-place update for .NET Framework 4.

NOTE: Microsoft .NET Framework requires Administrator rights to complete installation.

Click here to download Microsoft .NET Framework 4.5.2
Web Browser Microsoft Internet Explorer 10, 11

NOTE: Microsoft Internet Explorer is needed on the Web Player Server-side as some operations, such as exporting data, are based on Internet Explorer functionality.
Web Server Microsoft Internet Information Services versions 7.0 through 8.5, with ASP.NET 4.5 enabled
TIBCO Spotfire Software Connection to a TIBCO Spotfire Server 7.0.x, with a TIBCO Spotfire 7.0.x deployment.

NOTE: Please note that the TIBCO Spotfire Web Player Server should run on a dedicated system (physical or virtual) - not shared with a TIBCO Spotfire Server or other applications
Installation Privileges on Windows TIBCO Spotfire Web Player 7.0.x must be installed under a Windows user account with full administrative privileges.
Microsoft Office (Optional) The following versions of Microsoft Office are supported for Office-dependent functionality:

Microsoft Office 2013, 32- and 64-bit versions
Microsoft Office 2010, 32- and 64-bit versions
Microsoft Office 2007


NOTE: Microsoft Office needs to be installed in order to use Spotfire (Web Player) functionality that integrates with Office products, such as importing data from Microsoft Access or when importing data from old Excel file versions. An alternative to installing Microsoft Office is to just install the drivers - Office System Driver: Data Connectivity Components (also referred to as "Microsoft Access Database Engine") - instead.
Connectors (Optional) The following are the supported (Data) Connectors:

TIBCO Spotfire Connector for Amazon Redshift 4.0
TIBCO Spotfire Connector for Cloudera Hive 4.0
TIBCO Spotfire Connector for Cloudera Impala 4.0
TIBCO Spotfire Connector for Composite Information Server 4.0
TIBCO Spotfire Connector for Hortonworks 4.0
TIBCO Spotfire Connector for HP Vertica 4.0
TIBCO Spotfire Connector for IBM DB2 4.0
TIBCO Spotfire Connector for IBM Netezza 4.0
TIBCO Spotfire Connector for Microsoft SQL Server 4.0
TIBCO Spotfire Connector for Microsoft SQL Server Analysis Services 4.0
TIBCO Spotfire Connector for OData 4.0
TIBCO Spotfire Connector for Oracle 4.0
TIBCO Spotfire Connector for Oracle Essbase 4.0
TIBCO Spotfire Connector for Oracle MySQL 4.0
TIBCO Spotfire Connector for Pivotal Greenplum 4.0
TIBCO Spotfire Connector for Pivotal HAWQ 4.0
TIBCO Spotfire Connector for PostgreSQL 4.0
TIBCO Spotfire Connector for SAP HANA 4.0
TIBCO Spotfire Connector for SAP NetWeaver Business Warehouse 4.0
TIBCO Spotfire Connector for Teradata 4.0
TIBCO Spotfire Connector for Teradata Aster 4.0

Connector System requirements can be found here.
Load Balancer (Optional) Load balancing Spotfire Web Player Servers can be achieved using a Microsoft Network Load Balancing (NLB) cluster solution. This solution is fully tested and recommended. It is also possible to use a different load balancing solution, as long as it supports session affinity (which ensures that a client communicates with the same server for the duration of the session) and that the same ASP.NET machineKey is set on all Web Player Servers.

TIBCO Spotfire 7.0.x - Automation Services
Category Requirement
Hardware
Processor Recommended: 2+ GHz, Multi-Core (6 physical cores or more), 64-bit
Minimum: 2 GHz, Multi-Core, 64-bit
RAM Minimum: 6 GB
Hard Disk space 10 GB is recommended for installation and normal use.
Software
TIBCO Spotfire Server TIBCO Spotfire Server 7.0.x, with a TIBCO Spotfire 7.0.x deployment
Operating System Microsoft Windows Server 2012 R2
Microsoft Windows Server 2012
Microsoft Windows Server 2008 R2

NOTE: 64-bit versions required.
Web Server Microsoft Internet Information Services versions 7.0 through 8.5, with ASP.NET 4.5 enabled
Microsoft .NET Framework TIBCO Spotfire supports Microsoft .NET Framework version 4.5 and requires that Microsoft .NET Framework be installed prior to installing TIBCO Spotfire.

NOTE: Microsoft .NET Framework 4.5.2 (or higher) is strongly recommended, as defects in older .NET Framework 4.5.x versions have been confirmed to cause stability issues.

NOTE: Microsoft .NET Framework 4.5 works side by side with older Framework (3.5 and earlier) versions, but performs an in-place update for .NET Framework 4.

NOTE: Microsoft .NET Framework requires Administrator rights to complete installation.

Click here to download Microsoft .NET Framework 4.5.2
Microsoft Office (Optional) The following versions of Microsoft Office are supported for Office-dependent functionality:

Microsoft Office 2013, 32- and 64-bit version
Microsoft Office 2010, 32- and 64-bit version
Microsoft Office 2007


NOTE: Microsoft Office needs to be installed in order to use Spotfire (Automation Services) functionality that integrates with Office products, such as importing data from Microsoft Access or when importing data from old Excel file versions. An alternative to installing Microsoft Office is to just install the drivers - Office System Driver: Data Connectivity Components (also referred to as "Microsoft Access Database Engine") - instead.
Data Connectors (Optional) The following are the supported Data Connectors:

TIBCO Spotfire Connector for Cloudera Hive 2.0
TIBCO Spotfire Connector for Cloudera Impala 2.0
TIBCO Spotfire Connector for Composite Information Server 3.0
TIBCO Spotfire Connector for Hortonworks 2.0
TIBCO Spotfire Connector for HP Vertica 3.0
TIBCO Spotfire Connector for IBM DB2 1.0
TIBCO Spotfire Connector for IBM Netezza 3.0
TIBCO Spotfire Connector for Microsoft SQL Server 3.0
TIBCO Spotfire Connector for Microsoft SQL Server Analysis Services 3.0
TIBCO Spotfire Connector for Oracle 3.0
TIBCO Spotfire Connector for Oracle Essbase 3.0
TIBCO Spotfire Connector for Oracle MySQL 3.0
TIBCO Spotfire Connector for Pivotal Greenplum 2.0
TIBCO Spotfire Connector for Pivotal HAWQ 1.0
TIBCO Spotfire Connector for PostgreSQL 3.0
TIBCO Spotfire Connector for SAP HANA 2.0
TIBCO Spotfire Connector for SAP NetWeaver Business Warehouse 3.0
TIBCO Spotfire Connector for Teradata 3.0
TIBCO Spotfire Connector for Teradata Aster 3.0

Data Connector System requirements can be found here.
Java JRE (Optional) Oracle JRE 1.7
Oracle JRE 1.6

NOTE: The Java Runtime Environment (JRE) is only needed if you want to use the Automation Services Task "Remap Information Services Catalogs and Schemas"

TIBCO Spotfire 7.0.x - Automation Services - Job Builder
Category Requirement
Software
TIBCO Spotfire TIBCO Spotfire 7.0.x Client
Authentication Method One of the following:

  • Anonymous Login
  • Windows Integrated Authentication
Display 1280x1024 pixel resolution or higher.
Java JRE (Optional) Oracle JRE 1.7
Oracle JRE 1.6

NOTE: The Java Runtime Environment (JRE) is only needed if you want to use the Automation Services Task "Remap Information Services Catalogs and Schemas"

TIBCO Spotfire 7.0.x - Developer (SDK)
Category Requirement
Software
Operating System Microsoft Windows 8, 8.1
Microsoft Windows 7

NOTE: 64-bit versions required.
TIBCO Spotfire Software TIBCO Spotfire 7.0.x Client
Connection to a TIBCO Spotfire Server 7.0.x for software deployment and licensing.
Microsoft .NET Framework TIBCO Spotfire supports Microsoft .NET Framework version 4.5 and requires that Microsoft .NET Framework be installed prior to installing TIBCO Spotfire.

NOTE: Microsoft .NET Framework 4.5.2 (or higher) is strongly recommended, as defects in older .NET Framework 4.5.x versions have been confirmed to cause stability issues.

NOTE: Microsoft .NET Framework 4.5 works side by side with older Framework (3.5 and earlier) versions, but performs an in-place update for .NET Framework 4.

NOTE: Microsoft .NET Framework requires Administrator rights to complete installation.

Click here to download Microsoft .NET Framework 4.5.2
Microsoft Visual Studio Microsoft Visual Studio 2013
Microsoft Visual Studio 2012